<?xml version="1.0" encoding="ISO-8859-1"?>
<project name="webservices-wsdl2service" default="build-client"  basedir=".">

	<!-- set global properties for this build -->
   	<property environment="env"/>
   
    <property name="wtf.client.dir"     value="${env.TFS_HOME_MAIN}\modules\wtf-caip-client"/>
    <property name="wtf.client.src"     value="${wtf.client.dir}\src\main\java"/>
    <property name="wtf.client.classes" value="${wtf.client.dir}\target\classes"/>
	<property name="wls.hostname" 		value="localhost"/>
	<property name="wls.port" 			value="7000"/>

  	<taskdef name="clientgen" classname="weblogic.wsee.tools.anttasks.ClientGenTask" />  
  			
  	<target name="build-client">     
  		<clientgen       
  			wsdl="http://${wls.hostname}:${wls.port}/TemplateFilterService/WTFService?WSDL"       
  			destDir="src/main/java"       
  			packageName="gov.va.med.tfs.client.webservice"       
  			type="JAXWS"/>  
  			
  			<javac      
  				srcdir="${wtf.client.src}" 
  				destdir="${wtf.client.classes}"      
  				includes="**/*.java"/>
  	</target>
  	
  	<path id="client.class.path">    
  		<pathelement path="${wtf.client.classes}"/>    
  		<pathelement path="${env.JAVA_PATH}"/>
  	</path>


</project>
